Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHRSAPublicKeyString

    java.lang.Object
      com.mindbright.security.publickey.RSAKey
          com.mindbright.security.publickey.RSAPublicKey
              com.mindbright.ssh.SSHRSAPublicKeyString

All Implemented Interfaces:
  Key, PublicKey, RSAKey, RSAPublicKey, java.io.Serializable

public class SSHRSAPublicKeyString
extends RSAPublicKey

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.mindbright.security.publickey.RSAPublicKey
`publicExponent`

Fields inherited from class com.mindbright.security.publickey.RSAKey
`modulus`

Constructor Summary
`SSHRSAPublicKeyString(java.lang.String opts, java.lang.String user, java.math.BigInteger e, java.math.BigInteger n)`

Method Summary
`static SSHRSAPublicKeyString` | `createKey(java.lang.String opts, java.lang.String pubKey)`
`java.lang.String` | `getOpts()`
`java.lang.String` | `getUser()`
`void` | `toFile(java.lang.String fileName)`
`java.lang.String` | `toString()`

Methods inherited from class com.mindbright.security.publickey.RSAPublicKey
`getPublicExponent`

Methods inherited from class com.mindbright.security.publickey.RSAKey
`getAlgorithm, getEncoded, getFormat, getModulus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.mindbright.jca.security.interfaces.RSAKey
`getModulus`

Methods inherited from interface com.mindbright.jca.security.Key
`getAlgorithm, getEncoded, getFormat`

Constructor Detail

### SSHRSAPublicKeyString

    public SSHRSAPublicKeyString(java.lang.String opts,
                                 java.lang.String user,
                                 java.math.BigInteger e,
                                 java.math.BigInteger n)

Method Detail

### createKey

    public static SSHRSAPublicKeyString createKey(java.lang.String opts,
                                                  java.lang.String pubKey)
                                           throws java.util.NoSuchElementException

  Throws:
    `java.util.NoSuchElementException`

### getOpts

    public java.lang.String getOpts()

### getUser

    public java.lang.String getUser()

### toString

    public java.lang.String toString()

### toFile

    public void toFile(java.lang.String fileName)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD